/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/
#ifndef _SM_DESKTOP_H_
#define _SM_DESKTOP_H_
#include <stdio.h>
#include <stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * 获取在此时间内无操作则锁屏的空闲时间。
 * @return 返回空闲时间，单位秒
 */
uint
desktop_get_idle_timeout (void);
/**
 * 设置在此时间内无操作则锁屏的空闲时间。
 * @timeout: 指定空闲时间，单位秒
 * @return: 设置返回值，1-设置成功，0-设置失败
 */
int
desktop_set_idle_timeout (uint timeout);

uint
desktop_screensaver_get_idle_time (void);
int
desktop_screensaver_set_idle_time (uint timeout);
void
desktop_screensaver_lock (void);

void
desktop_power_logout (int mode);
void
desktop_power_reboot (void);
void
desktop_power_shutdown (void);
void
desktop_power_suspend (void);
void
desktop_power_hibernate (void);
int
desktop_power_can_suspend (void);
int
desktop_power_can_hibernate (void);


#ifdef __cplusplus
}
#endif

#endif
