/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/

#ifndef SM_FPRO_H
#define SM_FPRO_H

#ifdef __cplusplus
extern "C" {
#endif
/**
 * @brief 设置文件为保护状态
 * 
 * @param path 文件路径
 * @return int 0: 成功, 其他: 失败
 */
int fpro_policy_add(char *path);

/**
 * @brief 移除文件的保护状态
 * 
 * @param path 文件路径
 * @return int 0: 成功, 其他: 失败
 */
int fpro_policy_remove(char *path);


/**
 * @brief 递归添加目录下文件至保护状态
 * 
 * @param path 
 * @return int 0: 成功, 其他: 失败
 */
int fpro_policy_add_by_dir(char *path);

/**
 * @brief 递归移除目录下文件的保护状态
 * 
 * @param path 目录路径
 * @return int 0: 成功, 其他: 失败
 */
int fpro_policy_remove_by_dir(char *path);

/**
 * @brief 获取所有被保护的文件路径
 * 
 * @param count 记录数量
 * @return char** NULL: 失败或记录不存在, 其他: 成功，配置信息数组
 */
char **fpro_read_all_data(int *count);

#ifdef __cplusplus
}
#endif

#endif // SM_FPRO_H
