/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/

#ifndef SM_KMODPRO_H
#define SM_KMODPRO_H

#ifdef __cplusplus
extern "C" {
#endif
/**
 * @brief 设置内核模块至防卸载保护状态
 * 
 * @param name 内核模块名
 * @return int 0: 成功, 其他: 失败
 */
int kmodpro_policy_add(char *name);

/**
 * @brief 移除内核模块至防卸载保护状态
 * 
 * @param name 内核模块名
 * @return int 0: 成功, 其他: 失败
 */
int kmodpro_policy_remove(char* name);

/**
 * @brief 读取所有节点信息
 * 
 * @param count 记录数量
 * @return char** NULL: 失败或记录不存在, 其他: 成功，配置信息数组
 */
char **kmodpro_read_all_data(int *count);

#ifdef __cplusplus
}
#endif

#endif // SM_KMODPRO_H
