/**
 * Copyright (c) 2024-2025 National Fundamental Software of China Co., Ltd.
 * 
 * You should have find a copy of NFSChina License. If not, please contact us 
 * by email <os_support@nfschina.com>  
 * 
**/
#ifndef SM_SPRO_H
#define SM_SPRO_H
#define SM_PKG_PROTECT_PERM 0x89b5
#define PKG_NAME_LEN 256

#ifdef __cplusplus
extern "C" {
#endif

struct sm_pkg_protect
{
    char pkg_name[PKG_NAME_LEN];
    int perm;
};

enum spro_perm
{
    SPRO_DISABLE,
    SPRO_ENABLE
};

// 添加的软件包名
// 返回值 0: 成功  -1: 出错  1: 重复添加
int software_uninstall_protection_add(char *software);


// 解除软件防卸载包名
// 返回值 0: 成功  -1: 出错  1: 不存在
int software_uninstall_protection_remove(char *software);

#ifdef __cplusplus
}
#endif


#endif
